CURSOS

Rocketbot Suite (Level 1)

Este contenido está protegido, por favor accede y matricúlate al curso para ver este contenido.

14 comments

  1. hola. cómo puedo hacer que el robot envie un archivo que este mismo creo?

    1. Hola Luis,

      Como te indiqué en otra respuesta, todas las preguntas a través del foro: http://forum.rocketbot.co/

      gracias.

  2. Hola Marcela cuando configuro mi cuenta para realizar pruebas de envío me figura este error:
    (535, b’5.7.8 Username and Password not accepted. Learn more at\n5.7.8 https://support.google.com/mail/?p=BadCredentials d21sm11678065qtp.97 – gsmtp’) , agradeceré me puedas brindar tu apoyo.

    1. Hola Carlos!,

      Las políticas de Gmail han cambiado, igualmente vuelve a revisar si lo de permitir aplicaciones poco seguras sigue activado, pasa que a veces se desactiva, revisar también no tener la configuración de dos pasos. Si persiste el error entonces utilizar el otro módulo de gmail con la nueva configuración: https://market.rocketbot.co/?110#/module/gmail_suite

      Saludos!.-

  3. Para ello previamente habilite la configuración “Acceso a aplicaciones poco seguras”

  4. Hola Marcela he verificado no tener la configuración de 2 pasos y tener acceso a aplicaciones poco seguras y aún así no funciona; adicional a ello instale la versión gmail_suite que indicas sin embargo las opciones de configuración al Servidor difiere del que se visualiza en la documentación , me esta solicitando:
    credenciales (.json)
    user y
    resultado a variable.

    Agradeceré su apoyo indicando si falta instalar algun otro archivo ya que no puedo continuar con la clase.

    1. Hola Carlos,

      Si, se está corrigiendo lo del manual, pero es solo en la web, si vas donde dejaste la carpeta del módulo gmail_suite: Rocketbot/modules/gmail_suite/examples/ verás un .pdf con el manual actualizado, ahí se indican los pasos con la versión que solicita un json para la conexión.

      Saludos!.-

  5. Hola! Descargue el modulo de gmail suite, y seguí los pasos del manual para la configuración del gmail, descargando el archivo credentials.json.
    Aún así, me tira el siguiente error: [Errno 2] No such file or directory: ‘modules/gmail_suite/__init__.py’
    No se que puede ser. Intenté también poniendo el archivo en el mismo modulo donde está el modulo de gmail de la carpeta de la APP de rocketbot pero no obtuve resultados.

    Muchas gracias!

    1. Hola Constanza,

      Cómo estás ejecutando Rocketbot?

      El módulo siempre debe quedar en modules, sin cambiar el nombre y sin duplicar la carpeta gmail_suite en este caso.

      Podrías consultarnos en el foro por favor? allá podemos responder de mejor forma, puedes adjuntar imágenes y seguir un hilo.

      Saludos-

  6. Hola Marcela,

    Tengo una inquietud que me gustaria saber si me puedes ayudar, estoy intentando configurar el servidor usando una cuenta hotmail, y me sale el siguiente error.

    invalid literal for int() with base 10: ”

    Sabes a que se pueda deber?

    1. Lo logre resolver descargando el modulo de outlook365, pero me gustaria saber si existe alguna otra forma de resolver este escenario

      1. Hola Andrés,

        Lo recomendable es trabajar con los módulos específicos para los distintos servidores y no con el por defecto ya que es más limitado, respecto al error, puede ser que te faltó ingresar un puerto, ahí debes buscar los puertos correspondientes para el servidor que necesites.
        Saludos!.-

  7. En caso que se les presente este error cuando ponen el password de Gmail
    (534, b’5.7.9 Application-specific password required. Learn more at\n5.7.9 https://support.google.com/mail/?p=InvalidSecondFactor g23sm931171uan.7 – gsmtp’)

    Se debe seguir los pasos indicados en el enlace https://support.google.com/accounts/answer/185833?hl=es
    Ya que en este momento se debe usar “Iniciar sesión con contraseñas de aplicación” y ya no existe la opción “Acceso a aplicaciones poco seguras”

    Nota: Esto funciona con el modulo estándar de Rocketbot. (Supondría que con el modulo de Suite debería funcionar)

    1. Hola Ringo,

      Exacto, como las políticas han cambiado se creó el otro módulo, gmail_suite, las cuentas antiguas aún pueden utilizar el de gmail_.

      Saludos!.-

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *